# -*- coding: utf-8 -*-
import pandas as pd
import numpy as np

# data
fdata = np.array([1, 1, 2, 3, 5, 8])
index = ['a', 'b', 'c', 'd', 'e', 'f']
# index = list('abcdef')

# create a Series
s1 = pd.Series(fdata)
print s1
raw_input()

# create a Series with an explicit index
s2 = pd.Series(fdata, index=index, name='Fibonacci')
print s2
raw_input()

# adding an element to a Series
s2['g'] = 13
print s2
raw_input()

# indexing can skip values
s1[7] = 21
print s1
print 's1.iloc[6] = ', s1.iloc[6]
print 's1.loc[7] = ', s1.loc[7]
raw_input()

# we can use a dictionary to define a Series
data = {'first': 1, 'second': 1, 'third': 2, 'fifth': 5}
index = ['first', 'second', 'third', 'fourth', 'fifth']
ds1 = pd.Series(data)
ds2 = pd.Series(data, index=index)
print ds1
print ds2
# pandas uses NaN to indicate missing data
raw_input()

# we can find information about a Series (note that missing values will be skipped)
print 'ds2.sum() = ', ds2.sum()
raw_input()
print 'ds2.describe():'
print ds2.describe()
raw_input()

# or do arithmetic on two or more series that have one or more indices in common
print 'ds1 * ds2:'
print ds1*ds2