# -*- coding: utf-8 -*-
import pandas as pd

dates = ['2016-06-02', 'Jun 5, 2016', '2016/06/07', '10 June 2016',
         '06.13.2016', 'June 16, 2016', '19-06-2016']
index = ['Game '+str(ii) for ii in range(1, 8)]

# a Series containing the dates of each game
sdate = pd.Series(dates, index)
print sdate
raw_input()

# convert strings containing "date-like" information to datetime objects
sdate = pd.to_datetime(sdate)
print sdate
raw_input()

# a simple DataFrame
shome = pd.Series([104, 110, 120, 97, 97, 115, 89], index=index)
saway = pd.Series([89, 77, 90, 108, 112, 101, 93], index=index)
df = pd.DataFrame({'Date': sdate, 'Home': shome, 'Away': saway})
print df
raw_input()

# statistical summary of a DataFrame
print df.describe()
raw_input()

# correlation matrix for a DataFrame
print 'Correlation matrix:'
print df.corr()
raw_input()

# add a categorical variable
s_won = pd.Series(['Home', 'Home', 'Home', 'Away', 'Away', 'Home', 'Away'], index=index, dtype="category")
df['Winner'] = s_won
print df
raw_input()

# a better way to add a categorical variable
df['Winner'] = pd.Series(['Home']*7, index=df.index)
df.loc[df['Away'] > df['Home'], ['Winner']] = 'Away'
print df
raw_input()

# write to csv
df.to_csv('nbafinals.csv')